# AfRApay.MateCard
This is the software that runs on the MateCard terminal, powered by an ESP32.

## Setting up dev environment
This project uses PlatformIO. Quick setup guide:
- Install PlatformIO (macOS: `brew install platformio` / Arch Linux: `yay -S platformio` / Other: [platformio.org](https://platformio.org/install/cli))
- To compile, run `pio run`
- To compile and upload, run `pio run -t upload`
- To run clang-tidy, run `pio check`. 
- Please run `uncrustify --no-backup -c .uncrustify.cfg src/*.cpp include/*.h` before commiting. To install it as a pre-commit hook, run `ln -s ../../hooks/pre-commit.hook ../.git/hooks/pre-commit` in this directory.
